PeopleForce
Kadry

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Attach a file to a compliance case document

Attaches a file to a compliance case document

PATCH
/api/v4/compliance/compliance_case_documents/{id}/attach

Attaches a file to a compliance case document

Path Parameters

id*integer
Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Attaches a file to a compliance case document

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v4/compliance/compliance_case_documents/0/attach" \  -H "Content-Type: application/json" \  -d '{    "attachment": "string"  }'
{  "data": {    "id": 0,    "compliance_case_id": 0,    "employee_id": 0,    "compliance_process_document_id": 0,    "status": "unverified",    "verified_at": "2019-08-24T14:15:22Z",    "attachment": {      "url": "string",      "expires_at": "2019-08-24T14:15:22Z"    },    "pending_upload": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}